# Rledger

Rledger reads ledgers in the [Ledger CLI](http://www.ledger-cli.org)
format and performs simple operations on them.

Only the basic format is recognized: **do not expect this gem to
perform well with complex ledger files.** The goal, in fact, is not
that of building a clone of [ledger](http://www.ledger-cli.org), but
being able to read simple ledger files in ruby.

Please signal any bug or issues you might find through the [Github
Repository](http://github.io/avillafiorita/rledger)

## Installation

Add this line to your application's Gemfile:

    gem 'rledger'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install rledger

## Usage

Try the following commands on a ledger file:

    rledger --command statement --voice VOICE ledger.txt
    rledger --command balance ledger.txt

The mileage of the gem will vary, according to the complexity of the
format.  

Please signal any bug report through Github.


## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
