# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rledger/version'

Gem::Specification.new do |spec|
  spec.name          = "rledger"
  spec.version       = Rledger::VERSION
  spec.authors       = ["Adolfo Villafiorita"]
  spec.email         = ["adolfo.villafiorita@ict4g.net"]
  spec.description   = %q{CLI Ledger subset of http://www.ledger-cli.org}
  spec.summary       = %q{
Rledger reads ledgers in the [Ledger CLI](http://www.ledger-cli.org)
format and performs simple operations on them.

Only the basic format is recognized: **do not expect this gem to
perform well with complex ledger files.** The goal, in fact, is not
that of building a clone of [ledger](http://www.ledger-cli.org), but
being able to read simple ledger files in ruby.}
  spec.homepage      = "https://www.github.com/avillafiorita/rledger"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
end
